NSX-T Data Center REST API

Get transit gateway attachment statistics.

Retrieve the total tx, rx dropped, total bytes, total packets of all traffic that flows to the TGW attachment.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/transit-gateways/{transit-gateway-id}/attachments/{attachment-id}/statistics
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/project-2/transit-gateways/transit-gateway-1/attachments/attachment-1/statistics

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
TransitGatewayAttachmentStatistics+

Example Response:

{ "rx": { "total_bytes": 0, "total_packets": 0, "dropped_packets": 0, "blocked_packets": 0, "destination_unsupported_dropped_packets": 0, "firewall_dropped_packets": 0, "ipsec_dropped_packets": 0, "ipsec_no_sa_dropped_packets": 0, "ipsec_no_vti_dropped_packets": 0, "ipv6_dropped_packets": 0, "kni_dropped_packets": 0, "l4port_unsupported_dropped_packets": 0, "malformed_dropped_packets": 0, "no_receiver_dropped_packets": 0, "no_route_dropped_packets": 0, "proto_unsupported_dropped_packets": 0, "redirect_dropped_packets": 0, "rpf_check_dropped_packets": 0, "ttl_exceeded_dropped_packets": 0 }, "tx": { "total_bytes": 0, "total_packets": 0, "dropped_packets": 0, "blocked_packets": 0, "firewall_dropped_packets": 0, "ipsec_dropped_packets": 0, "ipsec_no_sa_dropped_packets": 0, "ipsec_no_vti_dropped_packets": 0, "dad_dropped_packets": 0, "frag_needed_dropped_packets": 0, "ipsec_pol_block_dropped_packets": 0, "ipsec_pol_err_dropped_packets": 0, "no_arp_dropped_packets": 0, "no_linked_dropped_packets": 0, "no_mem_dropped_packets": 0, "non_ip_dropped_packets": 0, "service_insert_dropped_packets": 0 } }

Required Permissions:

read

Feature:

policy_transit_gateway

Additional Errors: